Package org.drinkless.tdlib

# Class TdApi.MessageUpgradedGift

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageContent
org.drinkless.tdlib.TdApi.MessageUpgradedGift

Enclosing class:
  `TdApi`

public static class TdApi.MessageUpgradedGift extends TdApi.MessageContent
An upgraded gift was received or sent by the current user, or the current user was notified about a channel gift.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.MessageContent

  `TdApi.MessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `canBeTransferred`
  True, if the gift can be transferred to another owner; only for the receiver of the gift.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `craftDate`
  Point in time (Unix timestamp) when the gift can be used to craft another gift can be in the past; only for the receiver of the gift.
  `long`
  `dropOriginalDetailsStarCount`
  Number of Telegram Stars that must be paid to drop original details of the upgraded gift; 0 if not available; only for the receiver of the gift.
  `int`
  `exportDate`
  Point in time (Unix timestamp) when the gift can be transferred to the TON blockchain as an NFT; can be in the past; 0 if NFT export isn't possible; only for the receiver of the gift.
  `TdApi.UpgradedGift`
  `gift`
  The gift.
  `boolean`
  `isSaved`
  True, if the gift is displayed on the user's or the channel's profile page; only for the receiver of the gift.
  `int`
  `nextResaleDate`
  Point in time (Unix timestamp) when the gift can be resold to another user; can be in the past; 0 if the gift can't be resold; only for the receiver of the gift.
  `int`
  `nextTransferDate`
  Point in time (Unix timestamp) when the gift can be transferred to another owner; can be in the past; 0 if the gift can be transferred immediately or transfer isn't possible; only for the receiver of the gift.
  `TdApi.UpgradedGiftOrigin`
  `origin`
  Origin of the upgraded gift.
  `String`
  `receivedGiftId`
  Unique identifier of the received gift for the current user; only for the receiver of the gift.
  `TdApi.MessageSender`
  `receiverId`
  Receiver of the gift.
  `TdApi.MessageSender`
  `senderId`
  Sender of the gift; may be null for anonymous gifts.
  `long`
  `transferStarCount`
  Number of Telegram Stars that must be paid to transfer the upgraded gift; only for the receiver of the gift.
  `boolean`
  `wasTransferred`
  True, if the gift has already been transferred to another owner; only for the receiver of the gift.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageUpgradedGift()`
  An upgraded gift was received or sent by the current user, or the current user was notified about a channel gift.
  `MessageUpgradedGift(TdApi.UpgradedGift gift, TdApi.MessageSender senderId, TdApi.MessageSender receiverId, TdApi.UpgradedGiftOrigin origin, String receivedGiftId, boolean isSaved, boolean canBeTransferred, boolean wasTransferred, long transferStarCount, long dropOriginalDetailsStarCount, int nextTransferDate, int nextResaleDate, int exportDate, int craftDate)`
  An upgraded gift was received or sent by the current user, or the current user was notified about a channel gift.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### gift

    public TdApi.UpgradedGift gift
    The gift.

  - ### senderId

    @Nullable public TdApi.MessageSender senderId
    Sender of the gift; may be null for anonymous gifts.

  - ### receiverId

    public TdApi.MessageSender receiverId
    Receiver of the gift.

  - ### origin

    public TdApi.UpgradedGiftOrigin origin
    Origin of the upgraded gift.

  - ### receivedGiftId

    public String receivedGiftId
    Unique identifier of the received gift for the current user; only for the receiver of the gift.

  - ### isSaved

    public boolean isSaved
    True, if the gift is displayed on the user's or the channel's profile page; only for the receiver of the gift.

  - ### canBeTransferred

    public boolean canBeTransferred
    True, if the gift can be transferred to another owner; only for the receiver of the gift.

  - ### wasTransferred

    public boolean wasTransferred
    True, if the gift has already been transferred to another owner; only for the receiver of the gift.

  - ### transferStarCount

    public long transferStarCount
    Number of Telegram Stars that must be paid to transfer the upgraded gift; only for the receiver of the gift.

  - ### dropOriginalDetailsStarCount

    public long dropOriginalDetailsStarCount
    Number of Telegram Stars that must be paid to drop original details of the upgraded gift; 0 if not available; only for the receiver of the gift.

  - ### nextTransferDate

    public int nextTransferDate
    Point in time (Unix timestamp) when the gift can be transferred to another owner; can be in the past; 0 if the gift can be transferred immediately or transfer isn't possible; only for the receiver of the gift.

  - ### nextResaleDate

    public int nextResaleDate
    Point in time (Unix timestamp) when the gift can be resold to another user; can be in the past; 0 if the gift can't be resold; only for the receiver of the gift.

  - ### exportDate

    public int exportDate
    Point in time (Unix timestamp) when the gift can be transferred to the TON blockchain as an NFT; can be in the past; 0 if NFT export isn't possible; only for the receiver of the gift.

  - ### craftDate

    public int craftDate
    Point in time (Unix timestamp) when the gift can be used to craft another gift can be in the past; only for the receiver of the gift.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageUpgradedGift

    public MessageUpgradedGift()
    An upgraded gift was received or sent by the current user, or the current user was notified about a channel gift.

  - ### MessageUpgradedGift

    public MessageUpgradedGift(TdApi.UpgradedGift gift, TdApi.MessageSender senderId, TdApi.MessageSender receiverId, TdApi.UpgradedGiftOrigin origin, String receivedGiftId, boolean isSaved, boolean canBeTransferred, boolean wasTransferred, long transferStarCount, long dropOriginalDetailsStarCount, int nextTransferDate, int nextResaleDate, int exportDate, int craftDate)
    An upgraded gift was received or sent by the current user, or the current user was notified about a channel gift.
    Parameters:
      `gift` - The gift.
      `senderId` - Sender of the gift; may be null for anonymous gifts.
      `receiverId` - Receiver of the gift.
      `origin` - Origin of the upgraded gift.
      `receivedGiftId` - Unique identifier of the received gift for the current user; only for the receiver of the gift.
      `isSaved` - True, if the gift is displayed on the user's or the channel's profile page; only for the receiver of the gift.
      `canBeTransferred` - True, if the gift can be transferred to another owner; only for the receiver of the gift.
      `wasTransferred` - True, if the gift has already been transferred to another owner; only for the receiver of the gift.
      `transferStarCount` - Number of Telegram Stars that must be paid to transfer the upgraded gift; only for the receiver of the gift.
      `dropOriginalDetailsStarCount` - Number of Telegram Stars that must be paid to drop original details of the upgraded gift; 0 if not available; only for the receiver of the gift.
      `nextTransferDate` - Point in time (Unix timestamp) when the gift can be transferred to another owner; can be in the past; 0 if the gift can be transferred immediately or transfer isn't possible; only for the receiver of the gift.
      `nextResaleDate` - Point in time (Unix timestamp) when the gift can be resold to another user; can be in the past; 0 if the gift can't be resold; only for the receiver of the gift.
      `exportDate` - Point in time (Unix timestamp) when the gift can be transferred to the TON blockchain as an NFT; can be in the past; 0 if NFT export isn't possible; only for the receiver of the gift.
      `craftDate` - Point in time (Unix timestamp) when the gift can be used to craft another gift can be in the past; only for the receiver of the gift.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.MessageContent`
    Returns:
      this.CONSTRUCTOR